> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Transaction

> Use this API to simulate a funding in test environment.

Based on who you are, consider the below values in the API requests

<Note>
  | Cashfree Merchant | Cashfree Partner     |
  | :---------------- | :------------------- |
  | x-client-id       | x-partner-api-key    |
  | x-client-secret   | x-partner-merchantid |
</Note>


## OpenAPI

````yaml post /gc/transactions/emulate
openapi: 3.0.3
info:
  title: Global Collections - Partners
  version: '4'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security: []
paths:
  /gc/transactions/emulate:
    post:
      summary: Simulate funding to mimic scenario when payment hits the virtual account
      description: Use this API to simulate a funding in test environment.
      operationId: emulate-funding-partner
      parameters:
        - $ref: '#/components/parameters/PartnerApiKey'
        - $ref: '#/components/parameters/PartnerMerchantId'
        - $ref: '#/components/parameters/ApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - vAccountNumber
                - amount
                - currency
                - fundingActions
                - remitterAccountNumber
              properties:
                vAccountNumber:
                  type: string
                  description: >-
                    Pass the receiving bank account number for which you want to
                    simulate the funding.
                amount:
                  type: string
                  description: Enter the amount for which the funding has to be simulated.
                currency:
                  type: string
                  description: Enter the three character ISO.
                fundingActions:
                  type: string
                  description: Provide the action you want to do with the funding.
                remitterAccountNumber:
                  type: string
                  description: Provide the remitter account number.
      responses:
        '200':
          description: Success response for simulated funding.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '403':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    PartnerApiKey:
      name: x-partner-api-key
      in: header
      description: Enter partner API keygit
      required: true
      schema:
        type: string
    PartnerMerchantId:
      name: x-partner-merchantid
      in: header
      description: >-
        Enter the merchant reference id used while creating merchant during
        onboarding
      required: true
      schema:
        type: string
    ApiVersion:
      name: x-api-version
      in: header
      description: API version
      required: true
      schema:
        type: string
  schemas:
    SuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: success_message
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          example: authentication_error
        message:
          type: string
          example: failed to authenticate
        code:
          type: string
          example: authentication_failed

````